Skip to main content
GET
/
api
/
v1
/
instance-types
/
{family}
List family instance types
curl --request GET \
  --url https://cloud-api.phala.com/api/v1/instance-types/{family}
{
  "items": [
    {
      "id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "vcpu": 123,
      "memory_mb": 123,
      "hourly_rate": "<string>",
      "requires_gpu": true,
      "default_disk_size_gb": 20,
      "family": "<string>"
    }
  ],
  "total": 123,
  "family": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.phala.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

family
string
required

Family name (cpu, gpu)

Response

Instance types for family

Instance types for one family.

items
InstanceTypePublic · object[]
required

Instance types

total
integer
required

Total count

family
string
required

Family name